import { ElementRef, ChangeDetectorRef, OnInit } from "@angular/core";
import { FormBuilder, FormGroup } from '@angular/forms';
import { ToastService } from 'tango-app-ui-shared';
import { TraxService } from "../../../services/trax.service";
import { Router } from '@angular/router';
import { NgbActiveModal, NgbModal } from "@ng-bootstrap/ng-bootstrap";
import dayjs from 'dayjs';
import * as i0 from "@angular/core";
export declare class ChecklistPopupComponent implements OnInit {
    private fb;
    private toast;
    private sopService;
    private router;
    dialogRef: NgbActiveModal;
    private dialog;
    private cd;
    checklistForm: FormGroup;
    clientId: string;
    type: string;
    checklistData: any;
    afterValidation: any;
    fileInput: ElementRef;
    fileInput1: ElementRef;
    fileName: any;
    fileSize: any;
    sectionDetails: any;
    private detach;
    excelData: any;
    excelError: any;
    dayjs: typeof dayjs;
    constructor(fb: FormBuilder, toast: ToastService, sopService: TraxService, router: Router, dialogRef: NgbActiveModal, dialog: NgbModal, cd: ChangeDetectorRef);
    ngOnInit(): void;
    get mode(): any;
    selectMode(mode: string): void;
    onFileSelected(event: any): void;
    onDragOver(event: any): void;
    onDrop(event: any): void;
    Reupload(): void;
    createChecklist(): void;
    findAnswer(type: string, options: string): any;
    downloadTemplate(): void;
    updateChecklist(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChecklistPopupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChecklistPopupComponent, "lib-checklist-popup", never, { "clientId": { "alias": "clientId"; "required": false; }; "type": { "alias": "type"; "required": false; }; "checklistData": { "alias": "checklistData"; "required": false; }; }, {}, never, never, false, never>;
}
